it-swarm-es.com

¿Cómo bajar de php de 7.1.1 a 5.6 en xampp 7.1.1?

Quiero bajar la versión de php de 7.1.1 a 5.6 en xampp 7.1.1. Pero no puedo encontrar ninguna opción.  PHP info from xampp 

11
Shiblee Sadik

Creo que la ruta de actualización más segura de PHP7 a PHP5 en Xampp es:

  1. Descargue una versión empaquetada de Xampp con PHP5 desde aquí (a ​​partir de hoy esto es xampp-win32-5.6.37-0-VC11.Zip).

  2. Cambie el nombre de la carpeta php a php7 en Xampp.

  3. Ahora copie la carpeta php de xampp-win32-5.6.37-0-VC11.Zip en su carpeta de instalación de Xampp.

  4. Haga una copia de seguridad del archivo \xampp\Apache\conf\extra\httpd-xampp.conf.

  5. Reemplace este archivo de xampp-win32-5.6.37-0-VC11.Zip también.

  6. De esta manera, los archivos de configuración (incluido php.ini) tienen configuraciones del equipo de Xampp.

Notificarme si me falta algo.

5
Lanti

No hay opción para degradar XAMPP. XAMPP está codificado con la versión PHP específica para asegurarse de que todos los módulos sean compatibles y funcionen correctamente. Sin embargo, si su proyecto necesita PHP 5.6, puede instalar una versión anterior de XAMPP con PHP 5.6 empaquetado en él.

Fuente:Cómo degradar php de 5.5 a 5.3

3
roundAbout

Simplemente borre este xampp, y descargue versión 5.6 .

2
Arturs Jerjomins

XAMPP es un paquete integrado y no puede degradar ni cambiar uno de sus componentes, como php. (Hay algunas soluciones que puede usar, pero hay pocas posibilidades de que todo funcione bien).

Puedes descargar el paquete desde estos enlaces:

Tenías que descargar el formulario de paquete antiguo sourceforge.net.

2
A mohseni

Cambie el código .htaccess para cambiar a PHP 5.6:

AddHandler application/x-httpd-php56 .php
1
Adi

Si desea degradar la versión de php, simplemente edite su archivo .htaccess. Al igual que desea degradar cualquier versión de PHP a 5.6, solo agregue esto en el archivo .htaccess

<FilesMatch "\.(php4|php5|php7|php3|php2|php|phtml)$">  
etHandler application/x-lsphp56
</FilesMatch>
0
Md Zahid Shams

No tienes que instalar otra versión de Xampp. Me las arreglé para usar PHP 5.6 en mi Xampp PHP 7 versión. Esto es lo que debes hacer para que funcione:

  1. Raname (copia de seguridad) <XAMPP_DIR>\php a <XAMPP_DIR>\php~7
  2. Copia (copia de seguridad) <XAMPP_DIR>\Apache\conf\extra\httpd-xampp.conf a <XAMPP_DIR>\Apache\conf\extra\httpd-xampp~7.conf
  3. Descargar PHP5 y descomprimirlo en <XAMPP_DIR>\php
  4. Edite <XAMPP_DIR>\Apache\conf\extra\httpd-xampp.conf y cambie todas las apariciones de php5 a php7. Debe cambiar php7Apache2_4.dll a php5Apache2_4.dll, php7ts.dll a php5ts.dll y php7_module a php5_module
  5. Asegúrese de que todas sus rutas sean correctas como extension_dir en php.ini.

Reinicie Apache y voila.

0
Erroid

Si desea bajar de php de 7.1.1 a 5.6 en xampp, siga los pasos (para Windows): -

  1. Vaya a https://sourceforge.net/projects/xampp/files/XAMPP%20Windows/5.6.36/
  2. Descargue y extraiga el archivo xampp-win32-5.6.36-0-VC11.Zip vea la imagen imagen 1
  3. Eliminar php folder y Apache folder presente en C:\xampp

  4. Copie php folder y Apache folder del archivo extraído y péguelo en C:\xampp

  5. Agregue " C: " antes de\xampp \ en el número de línea 709 , 734 , 816 , 937 , 1428 , 1462 , 2025 , 2034 to php ini archivo presente en php carpeta.

  6. Inicia tu Apache y MySQL y comprueba la versión php. Mostrará php 5.6.36

0
Mas